# $Revision: 1.155 $, $Date: 2012/03/28 07:27:53 $
#
#   You can build tin with:
# --define 'domain_name your.domain'
# --define 'default_server default.nntp.server'
#
Summary:	tin News Reader
Summary(de.UTF-8):	tin News-Reader
Summary(fr.UTF-8):	Lecteur de news tin
Summary(pl.UTF-8):	tin - czytnik newsów
Summary(ru.UTF-8):	tin - программа для чтения телеконференций Usenet
Summary(tr.UTF-8):	Haber okuyucu
Summary(uk.UTF-8):	tin - програма для читання телеконференцій Usenet
Name:		tin
Version:	1.9.6
Release:	5
Epoch:		5
License:	distributable
Group:		Applications/News
Source0:	ftp://ftp.tin.org/pub/news/clients/tin/v1.9/%{name}-%{version}.tar.gz
# Source0-md5:	2102f3efd82a342005bd9afd30e03778
Source1:	%{name}.desktop
Source2:	%{name}.attributes
Patch0:		%{name}-enable_coloring.patch
Patch1:		%{name}-ncurses.patch
Patch2:		%{name}-range.patch
Patch3:		%{name}-charset.patch
URL:		http://www.tin.org/
BuildRequires:	bison
BuildRequires:	gettext-devel
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	pcre-devel
BuildRequires:	uudeview-devel
Requires:	urlview
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tin is a full-screen easy to use Netnews reader. It can read news
locally (i.e., /var/spool/news) or remotely (rtin or tin -r option)
via a NNTP (Network News Transport Protocol) server. It will
automatically utilize NOV (News OVerview) style index files if
available locally or via the NNTP XOVER command.

Tin has four separate levels of operation: Group selection level,
Group level, Thread level and Article level. Use the 'h' (help)
command to view a list of the commands available at a particular
level.

%description -l de.UTF-8
Tin ist ein Vollbild-Newsreader. Das Programm kann entweder lokal
(z.B. usr/spool/news) oder entfernt (Option 'rtin' bzw. 'tin -r') über
einen NNTP-Server (Network News Transport Protocol) eingesetzt werden.

%description -l fr.UTF-8
Tin est un lecteur de news plein écran facile à utiliser. Il peut lire
des articles localement (i.e. /usr/spool/news) ou à distance ('rtin'
ou 'tin -r') via un serveur NNTP (Network News Transport Protocol).

%description -l pl.UTF-8
Tin jest pełnoekranowym czytnikiem newsów. Umożliwia czytanie zarówno
z lokalnych zasobów (np. z katalogu /var/spool/news jak i ze zdalnych
(uruchamiając 'rtin' lub 'tin -r') serwerów NNTP (Network News
Transport Protocol).

%description -l ru.UTF-8
Tin - это простая в использовании полноэкранная программа для чтения
телеконференций Usenet. Она может читать телеконференции с локальной
(т.е. /var/spool/news) или удаленной (rtin или опция tin -r) по NNTP
(Network News Transport Protocol).

%description -l tr.UTF-8
Tin, metin ekranda çalışan kolay kullanılır bir USENET haber
okuyucusudur. Haberleri yerel olarak (/usr/spool/news), ya da bir NNTP
sunucusu aracılığıyla uzaktan ('rtin' ya da 'tin -r' seçeneği ile)
okuyabilir.

%description -l uk.UTF-8
Tin - це проста у використанні повноекранна програма для читання
телеконференцій Usenet. Вона дозволяє читати телеконференції як з
локальної машини (тобто /var/spool/news) так і з віддаленої (rtin або
опція tin -r) по NNTP (Network News Transport Protocol).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
LDFLAGS="%{rpmldflags}"
%configure2_13 \
	--disable-debug \
	--enable-color \
	--enable-curses \
	--enable-ipv6 \
	--enable-nls \
	--with-gpg=%{_bindir}/gpg \
	--with-ispell=%{_bindir}/ispell \
	--with-mailer=/usr/lib/sendmail \
	--with-metamail=%{_bindir}/metamail \
	--with-ncurses \
	--with-nov-dir=%{_var}/spool/news \
	--with-pcre \
	--with-screen=ncurses \
	--with-spooldir=%{_var}/spool/news \
	%{?domain_name:--with-domain-name=%{domain_name}} \
	%{?default_server:--with-nntp-default-server=%{default_server}}

%{__make} -C src

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{etc,etc/tin,%{_bindir},%{_mandir}/man1,%{_mandir}/man5,%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install doc/tin.defaults $RPM_BUILD_ROOT%{_sysconfdir}/tin/tinrc
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/tin/attributes
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/rtin.1
echo ".so tin.1" > $RPM_BUILD_ROOT%{_mandir}/man1/rtin.1

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

rm -f $RPM_BUILD_ROOT%{_bindir}/url_handler.sh

# file conflict mmdf between mutt and tin
rm -f $RPM_BUILD_ROOT%{_mandir}/man5/mmdf.5*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README MANIFEST doc/{CHANGES,TODO,DEBUG_REFS,WHATSNEW,*.txt}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/tinrc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/attributes
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/tin.5*
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tin.spec,v $
Revision 1.155  2012/03/28 07:27:53  arekm
- release 5

Revision 1.154  2011/10/09 10:24:08  arekm
- release 4

Revision 1.153  2011/08/31 18:27:10  arekm
- release 3

Revision 1.152  2011/03/20 18:06:05  arekm
- release 2

Revision 1.151  2011/03/04 20:32:06  arekm
- up to 1.9.6

Revision 1.150  2011/03/04 20:08:09  arekm
- release 5

Revision 1.149  2010/02/10 23:23:11  adamg
- %files fix (pebkac); release 4

Revision 1.148  2010/02/10 23:18:13  adamg
- drop mmdf (5) manpage, keep mutt's version; release 3

Revision 1.147  2010/01/10 21:48:52  sparky
- BR: gettext-devel

Revision 1.146  2010/01/10 21:36:18  marcus
- added BR: uudeview-devel, fix for pcre

Revision 1.145  2009/09/22 10:39:42  glen
- release 2

Revision 1.144  2009/02/12 11:42:17  lukasz
- fixed Source0

Revision 1.143  2009/02/12 11:40:29  lukasz
- up to 1.9.4

Revision 1.142  2008/09/02 13:28:51  radek
- fixed two previous changes (lukasz, wake up)

Revision 1.141  2008/04/25 12:09:42  lukasz
- Source0 =~ s/bz2$/gz/

Revision 1.140  2008/04/25 12:07:21  lukasz
- 1.9.3 snapshot
- disable charset workaround

Revision 1.139  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.138  2007/04/27 08:17:07  qboosh
- CVE reference for 1.8.1 (or so)

Revision 1.137  2007/04/23 10:58:39  lukasz
- updated to 1.9.2

Revision 1.136  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.135  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.134  2006/11/07 22:31:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.133  2006/04/19 21:01:44  lukasz
- updated to 1.9.1

Revision 1.132  2006/03/03 11:25:54  lukasz
- updated to 1.9.0

Revision 1.131  2006/02/19 18:35:09  speedo
- updated to 1.8.1 [fixes CVE-2006-0804]

Revision 1.130  2006/01/03 14:37:45  darekr
- BR: bison, reported by Daniel Mroz

Revision 1.129  2005/12/30 23:07:06  lukasz
- up to stable version 1.8.0

Revision 1.128  2005/09/29 20:23:24  lukasz
- updated to 1.7.10

Revision 1.127  2005/06/29 19:59:17  lukasz
- updated to 1.7.9

Revision 1.126  2005/03/21 21:21:05  lukasz
- up to 1.7.8

Revision 1.125  2005/02/22 20:52:19  qboosh
- unified

Revision 1.124  2005/02/22 19:44:51  darekr
- missing dir, use macros

Revision 1.123  2004/12/15 21:39:11  lukasz
- up to 1.7.7

Revision 1.122  2004/09/06 20:15:04  lukasz
- up to 1.7.6

Revision 1.121  2004/07/05 13:22:18  qboosh
- release 3

Revision 1.120  2004/07/05 12:32:53  qboosh
- don't BR metamail, sorted configure options, fixed sendmail path

Revision 1.119  2004/07/04 22:13:44  adamg
- applnk -> vfolders; release 2

Revision 1.118  2004/06/15 20:13:05  lukasz
- up to 1.7.5

Revision 1.117  2004/02/26 08:26:22  lukasz
- 1.7.4

Revision 1.116  2004/01/06 19:58:51  qboosh
- rpm doesn't like log entries beginning with * - protected (it was revert of 1.114)

Revision 1.115  2004/01/05 22:33:55  lukasz
- *** empty log message ***

Revision 1.114  2004/01/05 22:30:44  lukasz
- requires vim-static

Revision 1.113  2003/12/20 20:09:43  lukasz
- 1.7.3

Revision 1.112  2003/11/04 20:18:30  lukasz
- 1.7.2 (we start use unstable versions) :)

Revision 1.111  2003/09/10 19:51:26  lukasz
- fixed md5

Revision 1.110  2003/09/10 19:45:08  lukasz
- updated to 1.6.2

Revision 1.109  2003/08/18 09:26:16  lukasz
- Release 2
- some changes in patches

Revision 1.108  2003/08/18 08:09:36  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.107  2003/08/10 16:37:18  misi3k
- updated to 1.6.1

Revision 1.106  2003/07/18 11:37:03  radek
- version 1.6.0

Revision 1.105  2003/06/02 20:42:59  lukasz
- up to 1.5.18

Revision 1.104  2003/05/28 13:02:16  malekith
- massive attack: source-md5

Revision 1.103  2003/05/25 06:27:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.102  2003/04/08 07:37:59  lukasz
- update to 1.5.17

Revision 1.101  2003/01/29 21:58:22  radek
- added --enable-curses and --with-screen=ncurses
- added ability to define domain name and default nntp server
- release 2

Revision 1.100  2003/01/25 21:59:48  lukasz
- up to 1.5.16
- added mmdf man5
- updated tin-charset.patch

Revision 1.99  2003/01/11 15:58:37  radek
- fixed Source0 URL

Revision 1.98  2002/11/30 23:00:29  juandon
- new %doc

Revision 1.97  2002/11/15 14:43:22  lukasz
- up to 1.5.15

Revision 1.96  2002/09/26 16:00:40  lukasz
- /etc/tin/tin.defaults -> /etc//tin/tinrc
- removed /var/lib/news

Revision 1.95  2002/09/26 15:26:38  lukasz
- updated to 1.5.14

Revision 1.94  2002/07/22 21:40:21  lukasz
- added /etc/tin/attributes
- linking /var/lib/news/tinrc to /etc/tin/tin.defaults and
- /var/lib/news/attributes to /etc/tin/attributes
- var/lib/news have to exists
- rel 2

Revision 1.93  2002/07/03 23:27:27  kloczek
- merge translations from KSI.

Revision 1.92  2002/07/03 23:11:19  lukasz
- updated to 1.5.13

Revision 1.91  2002/05/10 11:50:27  misiek
- fix rtin.1; rel 6

Revision 1.90  2002/05/05 12:13:11  lukasz
- fixed Epoch

Revision 1.89  2002/05/05 10:44:52  lukasz
- 1.5.12 official release, not snapshot
- install rtin.1

Revision 1.88  2002/04/13 06:42:17  kloczek
- release 4.

Revision 1.87  2002/04/02 18:36:15  kloczek
- removed using %{__install} macro.

Revision 1.86  2002/03/05 22:17:30  kloczek
- release 3: mbox(5) man page removed (will be moved to man-pages).

Revision 1.85  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.84  2002/02/09 10:44:42  kloczek
- release 2.

Revision 1.83  2002/02/08 22:53:17  lukasz
- moved tin.defaults to /etc/tin

Revision 1.82  2002/02/08 22:13:11  blues
- adapterized
  STB

Revision 1.81  2002/02/08 22:01:25  lukasz
- 1.5.12 (snapshot)
- disable locale
- please make test before put it into official ftp.
- SOA#1

Revision 1.80  2002/02/08 13:41:58  lukasz
- enable-locale (please make the fucking test)

Revision 1.79  2002/02/02 08:26:53  kloczek
- release 2.

Revision 1.78  2002/01/30 22:46:40  lukasz
- disable-locale
- added tin-charset.patch

Revision 1.77  2002/01/30 21:51:04  lukasz
- 1.5.11

Revision 1.76  2002/01/18 02:15:11  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.75  2001/12/01 17:59:28  lukasz
- fixed url

Revision 1.74  2001/11/17 21:49:37  lukasz
- added disable-mime-strict-charset option to configure

Revision 1.73  2001/11/17 20:44:07  lukasz
- official 1.5.10 release

Revision 1.72  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.71  2001/10/07 02:15:06  kloczek
- added urlview to Require list,
- removed url_handler.sh from %{_bindir},

Revision 1.70  2001/10/07 01:38:57  kloczek
- updated to 1.5.10 (seems this version have fixed few bugs which do not
  causes core dumping).

Revision 1.69  2001/07/26 06:21:20  kloczek
- removed with_system_pcre patch and pass -lpcre in LDFLAGS for link
  with shared libpcre.

Revision 1.68  2001/07/26 00:17:38  lukasz
- removed ctrl-h.patch, it works great without it

Revision 1.67  2001/07/25 22:15:57  blues
- %configure2_13 used

Revision 1.66  2001/07/25 19:41:48  lukasz
- fixed mandir

Revision 1.65  2001/07/25 19:37:06  lukasz
- disabled with_system_pcre.patch Is it need?

Revision 1.64  2001/07/23 20:21:27  lukasz
- new Release 5, there is official version 1.5.9 - not snapshot

Revision 1.63  2001/07/02 16:59:22  marcus
- s/New/News/g in %files and %install - desktop file
- added tin-ctrl-h.patch (STB)

Revision 1.62  2001/05/22 23:12:14  kloczek
- added desktop file.

Revision 1.61  2001/05/22 21:27:51  lukasz
- release 3 - new snapshot

Revision 1.60  2001/03/30 21:15:28  lukasz
- new Release 2, new snapshot

Revision 1.59  2001/03/03 13:41:56  kloczek
- updated to 1.5.9.

Revision 1.58  2001/02/22 00:30:31  lukasz
- new Release 5, there is official version 1.5.8 - not snapshot

Revision 1.57  2001/02/20 14:25:49  lukasz
- new Release 4 - new snapshot

Revision 1.56  2001/02/05 23:25:24  lukasz
- new Release 3 - new snapshot

Revision 1.55  2001/01/08 23:41:34  lukasz
- new Release - new snapshot

Revision 1.54  2000/12/19 02:29:05  kloczek
- Epoch: 2 is back (dont't remove this).

Revision 1.53  2000/12/18 21:04:00  misiek
- 1.5.8

Revision 1.52  2000/11/07 23:36:32  kloczek
- release 2, Epoch 2 (for allow upgrade from RH).

Revision 1.51  2000/11/06 07:36:51  kloczek
- added gzipping %doc,
- fixed %clean,
- spec adapterized and few cosmetics.

Revision 1.50  2000/11/06 00:48:01  misiek
- added range patch

Revision 1.49  2000/10/28 22:47:39  misiek
- enabled i18n
- added ncurses patch
- updated to 1.5.7 version

Revision 1.48  2000/10/10 21:40:33  lukasz
- added old style patch

Revision 1.47  2000/08/19 19:48:21  kloczek
- pass in CFLAGS -I/usr/include/ncurses.

Revision 1.46  2000/08/18 00:59:35  marcus
- new version 1.5.6

Revision 1.45  2000/07/17 02:29:36  kloczek
- back Serial: 2.

Revision 1.44  2000/07/13 23:27:30  baggins
- release 2
- rebuild with ncurses 5.1

Revision 1.43  2000/07/11 20:11:13  zagrodzki
- removed Serial:
- adapterized

Revision 1.42  2000/06/09 07:24:00  kloczek
- added using %{__make} macro.

Revision 1.41  2000/05/25 20:54:42  bonkey
- upgraded to 1.5.4

Revision 1.40  2000/05/11 03:52:52  kloczek
- release 2,
- added pcre-devel to BuildRequires rules.

Revision 1.39  2000/05/04 01:12:51  kloczek
- updated to 1.4.3,
- spec adapterized,
- enable colors in default configuration (enable_coloring patch),
- link agains system shared libpcre (with_system_pcre patch).

Revision 1.38  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.37  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.36  2000/01/28 04:38:24  kloczek
- updated to 1.4.2.

Revision 1.35  1999/12/01 17:41:01  kloczek
- updated to 1.4.1.

Revision 1.34  1999/11/25 05:38:20  wiget
- enable IPv6 support

Revision 1.33  1999/11/16 17:01:15  kloczek
- release 2,
- build against ncurses 5.0.

Revision 1.32  1999/11/14 00:39:20  kloczek
- updated to 1.4.0,
- Serial bumped to 2 for allow corectly upgrade from 1.4pre*.

Revision 1.31  1999/10/01 18:40:16  kloczek
- removed autoconf from %build.

Revision 1.30  1999/10/01 13:15:49  kloczek
- removed ipv6 patch (it is now integrated in current version).

Revision 1.29  1999/10/01 13:06:54  kloczek
- typo.

Revision 1.28  1999/10/01 12:56:58  kloczek
- added passing LDFLAGS="-s' to ./configure environment instead stripping in
  install,
- cosmetics.

Revision 1.27  1999/08/24 12:26:35  misiek
- added ipv6 patch

Revision 1.25  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.24  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).
